Package | Class | Tree | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb
Class DatabaseInformation

    java.lang.Object
      |
      +--org.hsqldb.DatabaseInformation

class DatabaseInformation
extends java.lang.Object

DatabaseInformation class declaration

Field Summary
`(package private) static java.lang.String` | `META_ASC_OR_DESC`
`(package private) static java.lang.String` | `META_BUFFER_LENGTH`
`(package private) static java.lang.String` | `META_CAT`
`(package private) static java.lang.String` | `META_COLUMN_SIZE`
`(package private) static java.lang.String` | `META_DECIMAL_DIGITS`
`(package private) static java.lang.String` | `META_FIXED_PREC_SCALE`
`(package private) static java.lang.String` | `META_NUM_PREC_RADIX`
`(package private) static java.lang.String` | `META_ORDINAL_POSITON`
`(package private) static java.lang.String` | `META_SCHEM`

Constructor Summary
`(package private)` | `DatabaseInformation(Database db, java.util.Vector tables, Access access)` Constructor declaration

Method Summary
`(package private) Result` | `getScript(boolean bDrop, boolean bInsert, boolean bCached, Channel channel)` Method declaration
`(package private) Table` | `getSystemTable(java.lang.String name, Channel channel)` Method declaration

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### META_SCHEM

    static final java.lang.String META_SCHEM

### META_CAT

    static final java.lang.String META_CAT

### META_COLUMN_SIZE

    static final java.lang.String META_COLUMN_SIZE

### META_BUFFER_LENGTH

    static final java.lang.String META_BUFFER_LENGTH

### META_DECIMAL_DIGITS

    static final java.lang.String META_DECIMAL_DIGITS

### META_NUM_PREC_RADIX

    static final java.lang.String META_NUM_PREC_RADIX

### META_FIXED_PREC_SCALE

    static final java.lang.String META_FIXED_PREC_SCALE

### META_ORDINAL_POSITON

    static final java.lang.String META_ORDINAL_POSITON

### META_ASC_OR_DESC

    static final java.lang.String META_ASC_OR_DESC

Constructor Detail

### DatabaseInformation

    DatabaseInformation(Database db,
                        java.util.Vector tables,
                        Access access)

  Constructor declaration
  Parameters:
    `db` -
    `tables` -
    `access` -

Method Detail

### getSystemTable

    Table getSystemTable(java.lang.String name,
                         Channel channel)
                   throws java.sql.SQLException

  Method declaration
  Parameters:
    `name` -
    `channel` -
  Returns:
  Throws:
    java.sql.SQLException -

### getScript

    Result getScript(boolean bDrop,
                     boolean bInsert,
                     boolean bCached,
                     Channel channel)
               throws java.sql.SQLException

  Method declaration
  Parameters:
    `bDrop` -
    `bInsert` -
    `bCached` -
    `channel` -
  Returns:
  Throws:
    java.sql.SQLException -

Package | Class | Tree | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD